### Hierarchy

- RpcKeyPair

### Implements

- KeyPairHelper
- RemoteSigner

## Index

### Constructors

- constructor

### Methods

- checkSig
- createKeyPair
- decryptFields
- decryptMessage
- encryptFields
- encryptMessage
- encryptPermissionsFields
- generateMnemonicPhrase
- getAccessToken
- getPublicKey
- setAccessToken
- signMessage

## Constructors

### constructor

- new RpcKeyPair(rpcTransport: RpcTransport): RpcKeyPair

- - Defined in utils/keypair/rpc/RpcKeyPair.ts:22

  #### Parameters

  - ##### rpcTransport: RpcTransport

  #### Returns RpcKeyPair

## Methods

### checkSig

- checkSig(data: string, sig: string): Promise<boolean>

- Implementation of KeyPairHelper.checkSig

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:46

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns Promise<boolean>

### createKeyPair

- createKeyPair(passPhrase: string): Promise<KeyPair>

- Implementation of KeyPairHelper.createKeyPair

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:28

  #### Parameters

  - ##### passPhrase: string

  #### Returns Promise<KeyPair>

### decryptFields

- decryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- Implementation of KeyPairHelper.decryptFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:82

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- Implementation of KeyPairHelper.decryptMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:75

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

### encryptFields

- encryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- Implementation of KeyPairHelper.encryptFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:61

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### encryptMessage

- encryptMessage(recipientPk: string, message: string): Promise<string>

- Implementation of KeyPairHelper.encryptMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:54

  #### Parameters

  - ##### recipientPk: string

  - ##### message: string

  #### Returns Promise<string>

### encryptPermissionsFields

- encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>

- Implementation of KeyPairHelper.encryptPermissionsFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:68

  #### Parameters

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns Promise<string>

### generateMnemonicPhrase

- generateMnemonicPhrase(): Promise<string>

- Implementation of KeyPairHelper.generateMnemonicPhrase

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:34

  #### Returns Promise<string>

### getAccessToken

- getAccessToken(): string

- Implementation of RemoteSigner.getAccessToken

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:93

  #### Returns string

### getPublicKey

- getPublicKey(): string

- Implementation of KeyPairHelper.getPublicKey

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:50

  #### Returns string

### setAccessToken

- setAccessToken(accessToken: string): void

- Implementation of RemoteSigner.setAccessToken

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:89

  #### Parameters

  - ##### accessToken: string

  #### Returns void

### signMessage

- signMessage(data: string): Promise<string>

- Implementation of KeyPairHelper.signMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:42

  #### Parameters

  - ##### data: string

  #### Returns Promise<string>

Generated using TypeDoc